ServerEvents.command(event => {
    if (event.input === "nothing 51") {
        let player = event.parseResults.context.source.entity
        let pData = player.persistentData
        if (!pData.getInt("QJ")) {
            pData.putInt("QJ", 0)
        }
        if (pData.getInt("QJ") === 0) {
            player.tell("全景图定位循环开始")
            player.tell("简易指导:将窗口大小调整至1024*1024,视场角调整至74")
            player.tell("你需要关闭时间流逝(使用指令)并调整光影,停止草木摇晃")
            player.tell("全部完成后,按F1隐藏界面,按F2截图,然后继续按ctrl+X转向下一个角度")
            pData.putInt("QJ", 1)
            player.teleportTo(player.level.dimension.path, player.x, player.y, player.z, 0, 0)
            return
        }
        if (pData.getInt("QJ") === 1) {
            pData.putInt("QJ", 2)
            player.teleportTo(player.level.dimension.path, player.x, player.y, player.z, 90, 0)
            return
        }
        if (pData.getInt("QJ") === 2) {
            pData.putInt("QJ", 3)
            player.teleportTo(player.level.dimension.path, player.x, player.y, player.z, 180, 0)
            return
        }
        if (pData.getInt("QJ") === 3) {
            pData.putInt("QJ", 4)
            player.teleportTo(player.level.dimension.path, player.x, player.y, player.z, 270, 0)
            return
        }
        if (pData.getInt("QJ") === 4) {
            pData.putInt("QJ", 5)
            player.teleportTo(player.level.dimension.path, player.x, player.y, player.z, 0, -90)
            return
        }
        if (pData.getInt("QJ") === 5) {
            player.tell("全景图定位循环结束")
            pData.putInt("QJ", 0)
            player.teleportTo(player.level.dimension.path, player.x, player.y, player.z, 0, 90)
            return
        }
    }
})